# Troodon 2.0 Pro Mini (Vivedino)

## Possible conversion to standard Voron build
I'm checking the feasability of replacing all of the stamped metal parts of the Troodon with standard printed parts for the Voron 2.4r2. So far, most parts aren't 100% compatible (for example, the XY to Z cable guide can't screw into the stamped metal motor cover), meaning that nearly ALL stampled metal parts will need to get replaced. 

So far, the plan is to print the parts, and if the project looks too daunting and/or not possible, I'll just build either a Voron Micron, or another, larger-format 350mm Voron 2.4 (or 3 or whatever exists at that point.)

## Actual upgrades done on the machine now
* Standard Phaetus Dragon (probably knockoff) replaced with a Phaetus Dragon HF (also.. probably a knockoff) directly from Vivedino
* Removable door hinges
* 2x Pi Zero 2 W-based cameras
** 1x Arducam IMX519 AF standard lens
** 1x Pi Camera Module 3 AF wide angle
*** In the future, just stick to wide angle lenses. Also, just stick with standard Pi camera modules - the third party ones can be very difficult to get working properly.
* Mintion nozzle camera
** The cable that came with this busted and their customer service is trash. Don't do this again.

## Slated upgrades
* Pi 4 instead of BTT "Pi" - this requires a custom OS that I don't have control over. 
* 3DO nozzle camera
** Already have the replacment Stealthburner face printed for this
* Upgraded Honeybadger fan for parts cooler

## Maybe later?
* Umbilical conversion/Bambu-style cable chain